<?php 
session_start();
if (!$_SESSION['login']) {header("Location: index.php");}
require_once('utilesphp/sql_oop.php'); //conexion a base de datos
include('utilesphp/utiles.php');
include('class/class.php');
$Idproducto=$_GET['Idproducto'];
$esteprducto=new producto($mysqli,$Idproducto);
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<link rel="stylesheet" type="text/css" href="css/estilos.css">
<title><?php echo $titulopagina; ?></title>
</head>
<script type="text/javascript" src="ajax/creaajax.js"> </script>
<script type="text/javascript" src="utilesjs/funciones.js" charset="iso-8859-1"> </script>
<script language="javascript">
function modificardato(codigo,name,value) {
	if (newvalue=prompt('Por favor ingresa un(a) nuevo(a) '+name,value)) {
		grabando();
		location.href='insumos.php?modifica=si&codigo='+codigo+'&name='+name+'&value='+newvalue;
	} else {return;}
}
</script>
<body>
<div class="div_cubierto" id="cubierto" style=" <?php echo ($_GET['i']=='i')? 'display:block' : 'display:none'; ?> " ></div>
<div class="div_cargando" id="cargando"></div>
<div align="center">
<div class="logo"><img src="grafica/logo.png" /></div>
<div class="btn_cerrar"><a href="salidausuario.php" title="salir del sistema"><img src="iconos/salir48.png" /></a></div>

<div class="div_caja_titulo">
	<span class="titulos-holder bold">Movimiento del producto <?php echo $esteprducto->codigo; ?></span>
    <span class="iconos-holder"><a href="#" onclick="cargando(); location.href='menu-matriz.php'" class="n_link_basico" title="Volver al menu principal"><img src="iconos/home32.png" height="24"/></a></span>
    <span class="iconos-holder"><a href="#" onclick="cargando(); location.href='tablas-productos.php'" class="n_link_basico" title="Volver a productos"><img src="iconos/volver32.png" height="24"/></a></span>  
    <span class="iconos-holder"><a href="#" onclick="window.print();" class="n_link_basico" title="Imprimir listado"><img src="iconos/imprimir32.png" height="24"/></a></span>    
</div>

<div class="centrar_tabla">
	<div class="floatLeft" style="width:48%; text-align:right">
    Ultimas 50 Entradas del producto
	<table style="margin-right:0px;">
    <thead>
	   	<tr>
        	<th>Fecha</th>
            <th>Concepto</th>
            <th>Cant.</th>
            <th>$ unit.</th>
            <th>$ total</th>
        </tr>
     </thead>
     <tbody>
<?php
$compras=$mysqli->query('SELECT c.tipodoc, c.ndoc, c.Idproveedor, c.fecha, cd.valorunitario, cd.Idcompra, cd.cantidad FROM compras c JOIN compras_detalle cd ON cd.Idcompra=c.Idcompra WHERE cd.Idproducto="'.$Idproducto.'" ORDER BY fecha DESC LIMIT 50');
$row=$compras->fetch_array();
$totales=$mysqli->query('SELECT sum(cantidad) as cant, sum(cantidad*valorunitario) as total, "e" as tipo FROM compras_detalle WHERE Idproducto="'.$Idproducto.'" UNION (SELECT sum(cantidad) as cant, sum(vd.cantidad*vd.valorunitario) as total, "s" as tipo FROM ventas_detalle vd LEFT JOIN ventas v ON vd.Idventa=v.Idventa WHERE v.Idsucursal="1" AND vd.Idproducto="'.$Idproducto.'")  UNION SELECT sum(cantidad) as cant, sum(cantidad*valorunitario) as total, "s" as tipo FROM traspasos_detalle WHERE Idproducto="'.$Idproducto.'"');
$totalentradas=0; $totalsalidas=0; $valortotalentradas=0; $valortotalsalidas=0; 
for ($i=0;$i<5;$i++){
	$row_totales=$totales->fetch_array();
	if ($row_totales['tipo']=="e") {
		$totalentradas+=round($row_totales['cant']*100)/100;
		$valortotalentradas+=round($row_totales['total']*100)/100;
	} else {
		$totalsalidas+=round($row_totales['cant']*100)/100;
		$valortotalsalidas+=round($row_totales['total']*100)/100;
	}
}
$saldo=$totalentradas-$totalsalidas;
?>
        <tr style="border-top:1px solid #999;border-bottom:1px solid #999">
        	<td></td>
            <td>Sumas</td>
            <td><?php echo $totalentradas; ?></td>
            <td>&nbsp;</td>
            <td><?php echo apesos($valortotalentradas); ?></td>
        </tr>

<?php
if ($compras->num_rows==0) {
?>
	<tr><td colspan="5">No existen entradas del producto</td></tr>
<?php
} else { 
do {
	$entrada=round($row['cantidad']*100)/100;
	if ($row['tipodoc']=="sin documento") {
		$esteproveedor=new proveedor($mysqli,$row['Idproveedor']);
		$concepto=$row['tipodoc'].' - '.$esteproveedor->razon;
	} else {
		$esteproveedor=new proveedor($mysqli,$row['Idproveedor']);
		$concepto=$row['tipodoc'].' N&deg;'.$row['ndoc'].' de '.$esteproveedor->razon;
	}
?>
        <tr style="border-top:1px solid #999">
        	<td><?php echo $row['fecha']; ?></td>
            <td><?php echo $concepto; ?></td>
            <td><?php echo $entrada; ?></td>
        	<td><?php echo apesos($row['valorunitario']); ?></td>
        	<td><?php echo apesos($entrada*$row['valorunitario']); ?></td>
        </tr>
<?php
} while ($row=$compras->fetch_array());
}
if ($compras) {
    $compras->free();
}
?>
	</tbody>
    </table>
    </div>
	<div class="floatRight" style="width:48%; text-align:left">
    Ultimas 50 Salidas del producto
	<table style="margin-left:0px;">
    <thead>
	   	<tr>
        	<th>Fecha</th>
            <th>Concepto</th>
            <th>Cant.</th>
            <th>$ unit.</th>
            <th>$ total</th>
        </tr>
     </thead>
     <tbody>
<?php
$ventas=$mysqli->query('(SELECT v.tipodoc, v.ndoc, v.fecha, vd.cantidad, vd.valorunitario, vd.Idproducto, v.Idcliente as contraparte FROM ventas_detalle vd LEFT JOIN ventas v on vd.Idventa=v.Idventa WHERE Idproducto="'.$Idproducto.'" AND Idsucursal="1") UNION (SELECT "despacho" as tipodoc, "" as ndoc, t.fecha, td.cantidad, td.valorunitario, td.Idproducto, t.Idsucursal as contraparte FROM traspasos_detalle td LEFT JOIN traspasos t ON td.Idtraspaso=t.Idtraspaso WHERE Idproducto="'.$Idproducto.'") ORDER BY fecha DESC LIMIT 50');
$row=$ventas->fetch_array();
?>
        <tr style="border-top:1px solid #999;border-bottom:1px solid #999">
        	<td></td>
            <td>Sumas</td>
            <td><?php echo $totalsalidas; ?></td>
            <td>&nbsp;</td>
            <td><?php echo apesos($valortotalsalidas); ?></td>
        </tr>

<?php
if ($ventas->num_rows==0) {
?>
	<tr><td colspan="5">No existen salidas del producto</td></tr>
<?php
} else { 
do {
	$salida=round($row['cantidad']*100)/100;
	$estecliente=new cliente($mysqli,$row['contraparte']);
	if ($row['tipodoc']=="sin documento") {
		$concepto=$row['tipodoc'].' - '.$estecliente->razon;
	} else {
		if ($row['tipodoc']=="correccion de inventario") {
			$concepto=$row['tipodoc'];
		} else {
			if ($row['tipodoc']=="despacho") {
				$estasucursal=new sucursal($mysqli,$row['contraparte']);
				$concepto='despacho a '.$estasucursal->descripcion;
			} else {
			$concepto=$row['tipodoc'].' N&deg;'.$row['ndoc'].' de '.$estecliente->razon;
			}
		}
	}
?>
        <tr style="border-top:1px solid #999">
        	<td><?php echo $row['fecha']; ?></td>
            <td><?php echo $concepto; ?></td>
            <td><?php echo $salida; ?></td>
        	<td><?php echo apesos($row['valorunitario']); ?></td>
        	<td><?php echo apesos($salida*$row['valorunitario']); ?></td>
        </tr>
<?php
} while ($row=$ventas->fetch_array());
}
if ($ventas) {
    $ventas->free();
}
?>
	</tbody>
    </table>
 
	</div>
    <div class="clear"></div>	
</div>
</body>
</html>